| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwEMBL.cpp File Reference

Library routines to read and write EMBL sequence files. More...

`#include "rwEMBL.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readEMBL (Bstring &filename, Bmolgroup *molgroup)
| Reads EMBL format sequence files. More...
int | writeEMBL (Bstring &filename, Bmolgroup *molgroup)
| Writes EMBL format sequence files. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write EMBL sequence files.

Author
  Bernard Heymann

Date
  Created: 19990123
  Modified: 20060722

Definition in file rwEMBL.cpp.

## Function Documentation

## ◆ readEMBL()

int readEMBL | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads EMBL format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      EMBL format:
      ID   AQP1_HUMAN
      DE   AQP1_HUMAN, 527 bases, EB1B8D0 checksum.
      SQ             527 BP
          ---------- ---------- ---------- ---------- ---------- ----MASEFK

Definition at line 29 of file rwEMBL.cpp.

## ◆ writeEMBL()

int writeEMBL | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes EMBL format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 105 of file rwEMBL.cpp.

## Variable Documentation

## ◆ verbose

int verbose